Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01490 Gameplay Major Always Mar 13, 2008, 19:56 Mar 19, 2008, 17:15
Tester Machone View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver pitnrun.cpp
Version 0.123u5 Fixed in Version 0.123u3 Build C2D
Summary 01490: pitnrun, pitnruna: Game declares 'bad hw' on startup.
Description A few seconds after the title screen appears, the game displays 'bad hw' before the watchdog kicks in and resets the game. Worked in 0.123u4.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.123u5
Affected Sets / Systems pitnrun, pitnruna
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.00121
Kold666
Developer
Mar 13, 2008, 21:57
it's because I corrected the frequencies of the cpus against the pcb.
I think some dev needs to "adjust" the driver to the new frequencies
User avatar
No.00123
Kold666
Developer
Mar 13, 2008, 22:11
edited on: Mar 13, 2008, 22:11
sorry I made a typo.
the z80 frequency should be 3.072mhz, not 1.536mhz
I sent a diff with the correction
User avatar
No.00130
Machone
Tester
Mar 14, 2008, 00:06
The 68705 needs to run at 3mhz too it seems, otherwise the game still reports bad hardware.
User avatar
No.00138
Kold666
Developer
Mar 14, 2008, 05:37
yes, I sent the corrected diff. I made a typo and divided the z80 and 68705 by 12 instead of 6
User avatar
No.00260
Machone
Tester
Mar 19, 2008, 16:37
Fixed in u6.